> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/get-dsadgroup.md).

# Get-DSADGroup

Get-DSADGroup ruft Active Directory-Gruppen von einem Domänenbenutzer-PAM-Anbieter in Devolutions Server ab, gefiltert nach Organisationseinheit.

### Übersicht

Gruppen von einem Domänenbenutzer-PAM-Anbieter abrufen

### Syntax

#### \_\_AllParameterSets

```
Get-DSADGroup [-ProviderID] <guid> [[-DN] <string>] [-AsJITSettings] [-AsLegacyResponse]
 [<CommonParameters>]
```

### Beschreibung

Gruppen von einem Domänenbenutzer-PAM-Anbieter abrufen. Es werden die Gruppen der durch DN angegebenen Organisationseinheit zurückgegeben. Wird der Parameter DN nicht verwendet, wird im Root gesucht. Es ist nicht möglich, alle Gruppen direkt abzurufen. Die zurückgegebenen Daten können den autorisierten Gruppen der JIT-Einstellungen des Anbieters hinzugefügt werden.

### Beispiele

```powershell
PS C:\> $getResponse = Get-DSPamProvider
        $provider = $getResponse | Where Label -eq 'MyDomainUserProvider'
        $desiredGroups = Get-DSADGroup -ProviderID $provider.ID -DN 'OU=Test,DC=mydomain,DC=loc'
        $provider.JitElevationSettings.AuthorizedGroups = $desiredGroups
        Update-DSPamProvider -InputObject $provider
```

Alle Gruppen der Organisationseinheit 'Test' den autorisierten Gruppen der JIT-Einstellungen des Anbieters 'MyDomainUserProvider' hinzufügen und die Änderung speichern

### Parameter

#### -AsJITSettings

Gibt das Objekt als JIT-Einstellungswert zurück. Nützlich, wenn es im Anbieter nicht initialisiert ist.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -AsLegacyResponse

In Versionen vor 2024.2 gaben viele DS-Cmdlets ein ServerResponse-Objekt zurück. Durch Aktivieren dieses Schalters für Rückwärtskompatibilität funktionieren Skripte, die für frühere Versionen entwickelt wurden, weiterhin korrekt.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -DN

Distinguished Name des durchsuchten Containers

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ProviderID

PAM-Anbieter, von dem die Domänen abgerufen werden

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Hinweise

Weitere Informationen erhalten Sie mit "Get-Help Get-DSADGroup -detailed". Technische Informationen erhalten Sie mit "Get-Help Get-DSADGroup -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/get-dsadgroup.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
